> For the complete documentation index, see [llms.txt](https://docs.hotwax.co/documents/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.hotwax.co/documents/integrate-with-hotwax/components/admin/product-categories.md).

# Product Categories

Product Category Management

## GET /productCategories

> list ProductCategory

```json
{"openapi":"3.1.1","info":{"title":"Commerce Admin REST API","version":"4.0.0"},"tags":[{"name":"productCategories","description":"Product Category Management"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/admin"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"categories":{"title":"Product Category","type":"object","properties":{"_entity":{"type":"string","default":"categories"},"productCategoryId":{"type":"string"},"externalId":{"type":"string"},"productCategoryTypeId":{"type":"string"},"primaryParentCategoryId":{"type":"string"},"categoryName":{"type":"string"},"description":{"type":"string"},"longDescription":{"type":"string"},"categoryImageUrl":{"type":"string"},"linkOneImageUrl":{"type":"string"},"linkTwoImageUrl":{"type":"string"},"detailScreen":{"type":"string"},"showInSelect":{"type":"string"},"productCategoryUrlName":{"type":"string"},"lastUpdatedStamp":{"type":"string","format":"date-time"},"createdStamp":{"type":"string","format":"date-time"}}}}},"paths":{"/productCategories":{"get":{"tags":["productCategories"],"summary":"list ProductCategory","description":null,"parameters":[{"schema":{"type":"number","format":"int32"},"name":"pageIndex","in":"query","required":false,"description":"Page number to return, starting with zero"},{"schema":{"type":"number","format":"int32"},"name":"pageSize","in":"query","required":false,"description":"Number of records per page (default 100)"},{"schema":{"type":"string"},"name":"orderByField","in":"query","required":false,"description":"Field name to order by (or comma separated names)"},{"schema":{"type":"string"},"name":"pageNoLimit","in":"query","required":false,"description":"If true don't limit page size (no pagination)"},{"schema":{"type":"number","format":"int32"},"name":"dependentLevels","in":"query","required":false,"description":"Levels of dependent child records to include"},{"schema":{"type":"string","format":""},"name":"productCategoryId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"externalId","in":"query","required":false,"description":"This field stores product category ID of the external system"},{"schema":{"type":"string","format":""},"name":"productCategoryTypeId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"primaryParentCategoryId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"categoryName","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"description","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"longDescription","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"categoryImageUrl","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"linkOneImageUrl","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"linkTwoImageUrl","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"detailScreen","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"showInSelect","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"productCategoryUrlName","in":"query","required":false,"description":"Category name to be used in URL on store front"},{"schema":{"type":"string","format":"date-time"},"name":"lastUpdatedStamp","in":"query","required":false,"description":null},{"schema":{"type":"string","format":"date-time"},"name":"createdStamp","in":"query","required":false,"description":null}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/categories"}}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"404":{"description":"Value Not Found"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}}}}}}
```

## GET /productCategories/rollup

> list ProductCategoryRollup

```json
{"openapi":"3.1.1","info":{"title":"Commerce Admin REST API","version":"4.0.0"},"tags":[{"name":"productCategories","description":"Product Category Management"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/admin"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"org.apache.ofbiz.product.category.ProductCategoryRollup":{"title":"Product Category Rollup","type":"object","properties":{"_entity":{"type":"string","default":"org.apache.ofbiz.product.category.ProductCategoryRollup"},"productCategoryId":{"type":"string"},"parentProductCategoryId":{"type":"string"},"fromDate":{"type":"string","format":"date-time"},"thruDate":{"type":"string","format":"date-time"},"sequenceNum":{"type":"number","format":"int64"},"lastUpdatedStamp":{"type":"string","format":"date-time"},"createdStamp":{"type":"string","format":"date-time"}}}}},"paths":{"/productCategories/rollup":{"get":{"tags":["productCategories"],"summary":"list ProductCategoryRollup","description":null,"parameters":[{"schema":{"type":"number","format":"int32"},"name":"pageIndex","in":"query","required":false,"description":"Page number to return, starting with zero"},{"schema":{"type":"number","format":"int32"},"name":"pageSize","in":"query","required":false,"description":"Number of records per page (default 100)"},{"schema":{"type":"string"},"name":"orderByField","in":"query","required":false,"description":"Field name to order by (or comma separated names)"},{"schema":{"type":"string"},"name":"pageNoLimit","in":"query","required":false,"description":"If true don't limit page size (no pagination)"},{"schema":{"type":"number","format":"int32"},"name":"dependentLevels","in":"query","required":false,"description":"Levels of dependent child records to include"},{"schema":{"type":"string","format":""},"name":"productCategoryId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"parentProductCategoryId","in":"query","required":false,"description":"The parent category; it should be one of productCategoryId already setup in ProductCategory or ProductCategoryRollup"},{"schema":{"type":"string","format":"date-time"},"name":"fromDate","in":"query","required":false,"description":null},{"schema":{"type":"string","format":"date-time"},"name":"thruDate","in":"query","required":false,"description":null},{"schema":{"type":"number","format":"int64"},"name":"sequenceNum","in":"query","required":false,"description":null},{"schema":{"type":"string","format":"date-time"},"name":"lastUpdatedStamp","in":"query","required":false,"description":null},{"schema":{"type":"string","format":"date-time"},"name":"createdStamp","in":"query","required":false,"description":null}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/org.apache.ofbiz.product.category.ProductCategoryRollup"}}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"404":{"description":"Value Not Found"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}}}}}}
```

## GET /productCategories/member

> list ProductCategoryMember

```json
{"openapi":"3.1.1","info":{"title":"Commerce Admin REST API","version":"4.0.0"},"tags":[{"name":"productCategories","description":"Product Category Management"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/admin"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"org.apache.ofbiz.product.category.ProductCategoryMember":{"title":"Product Category Member","type":"object","properties":{"_entity":{"type":"string","default":"org.apache.ofbiz.product.category.ProductCategoryMember"},"productCategoryId":{"type":"string"},"productId":{"type":"string"},"fromDate":{"type":"string","format":"date-time"},"thruDate":{"type":"string","format":"date-time"},"comments":{"type":"string"},"sequenceNum":{"type":"number","format":"int64"},"quantity":{"type":"number"},"promiseDate":{"type":"string","format":"date-time"},"lastUpdatedStamp":{"type":"string","format":"date-time"},"createdStamp":{"type":"string","format":"date-time"}}}}},"paths":{"/productCategories/member":{"get":{"tags":["productCategories"],"summary":"list ProductCategoryMember","description":null,"parameters":[{"schema":{"type":"number","format":"int32"},"name":"pageIndex","in":"query","required":false,"description":"Page number to return, starting with zero"},{"schema":{"type":"number","format":"int32"},"name":"pageSize","in":"query","required":false,"description":"Number of records per page (default 100)"},{"schema":{"type":"string"},"name":"orderByField","in":"query","required":false,"description":"Field name to order by (or comma separated names)"},{"schema":{"type":"string"},"name":"pageNoLimit","in":"query","required":false,"description":"If true don't limit page size (no pagination)"},{"schema":{"type":"number","format":"int32"},"name":"dependentLevels","in":"query","required":false,"description":"Levels of dependent child records to include"},{"schema":{"type":"string","format":""},"name":"productCategoryId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"productId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":"date-time"},"name":"fromDate","in":"query","required":false,"description":null},{"schema":{"type":"string","format":"date-time"},"name":"thruDate","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"comments","in":"query","required":false,"description":null},{"schema":{"type":"number","format":"int64"},"name":"sequenceNum","in":"query","required":false,"description":null},{"schema":{"type":"number","format":""},"name":"quantity","in":"query","required":false,"description":null},{"schema":{"type":"string","format":"date-time"},"name":"promiseDate","in":"query","required":false,"description":null},{"schema":{"type":"string","format":"date-time"},"name":"lastUpdatedStamp","in":"query","required":false,"description":null},{"schema":{"type":"string","format":"date-time"},"name":"createdStamp","in":"query","required":false,"description":null}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/org.apache.ofbiz.product.category.ProductCategoryMember"}}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"404":{"description":"Value Not Found"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.hotwax.co/documents/integrate-with-hotwax/components/admin/product-categories.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
